Bug 26004 - Remove unused jQuery plugin jquery.hoverIntent.minified.js from the OPAC
Summary: Remove unused jQuery plugin jquery.hoverIntent.minified.js from the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-17 13:36 UTC by Owen Leonard
Modified: 2020-08-03 09:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26004: Remove unused jQuery plugin jquery.hoverIntent.minified.js from the OPAC (2.62 KB, patch)
2020-07-17 13:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26004: Remove unused jQuery plugin jquery.hoverIntent.minified.js from the OPAC (2.68 KB, patch)
2020-07-31 22:59 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26004: Remove unused jQuery plugin jquery.hoverIntent.minified.js from the OPAC (2.73 KB, patch)
2020-08-03 04:55 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-17 13:36:47 UTC
The jQuery plugin jquery.hoverIntent.minified.js is unused in the OPAC and can be safely removed.
Comment 1 Owen Leonard 2020-07-17 13:39:56 UTC
Created attachment 107011 [details] [review]
Bug 26004: Remove unused jQuery plugin jquery.hoverIntent.minified.js from the OPAC

The jQuery plugin jquery.hoverIntent.minified.js hasn't been used in
Koha in long time. This patch removes it from the OPAC.

To test, apply the patch and search for instances of "hoverIntent."
There should be none.
Comment 2 Lucas Gass 2020-07-31 22:58:25 UTC
The only instance of 'hoverIntent' after applying the patch is:

root@a7d585cbab0d:koha(master)$ git grep hoverIntent
misc/release_notes/release_notes_3_16_0.txt:    11749   minor   Remove unused jQuery plugin jquery.hoverIntent.minified.js from the staff client


So I think that's OK!
Comment 3 Lucas Gass 2020-07-31 22:59:12 UTC
Created attachment 107660 [details] [review]
Bug 26004: Remove unused jQuery plugin jquery.hoverIntent.minified.js from the OPAC

The jQuery plugin jquery.hoverIntent.minified.js hasn't been used in
Koha in long time. This patch removes it from the OPAC.

To test, apply the patch and search for instances of "hoverIntent."
There should be none.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Josef Moravec 2020-08-03 04:55:57 UTC
Created attachment 107666 [details] [review]
Bug 26004: Remove unused jQuery plugin jquery.hoverIntent.minified.js from the OPAC

The jQuery plugin jquery.hoverIntent.minified.js hasn't been used in
Koha in long time. This patch removes it from the OPAC.

To test, apply the patch and search for instances of "hoverIntent."
There should be none.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2020-08-03 09:59:33 UTC
Pushed to master for 20.11, thanks to everybody involved!